Main Page Widgets Namespaces Book

# Glib::Module Class Reference

List of all members.

## Public Methods

| Module (const std::string& file_name, ModuleFlags flags=ModuleFlags(0))
virtual | ~Module ()
void | make_resident ()
bool | get_symbol (const std::string& symbol_name, void*& symbol) const
std::string | get_name () const
GModule* | gobj ()
const GModule* | gobj () const

## Static Public Methods

bool | get_supported ()
std::string | get_last_error ()
std::string | build_path (const std::string& directory, const std::string& module_name)

## Protected Attributes

GModule* | gobject_

## Constructor & Destructor Documentation

Glib::Module::Module | ( | const std::string& | file_name,
|  | ModuleFlags | flags = ModuleFlags(0)
| ) | `[explicit]`

virtual Glib::Module::~Module | ( |  | ) | `[virtual]`

## Member Function Documentation

std::string Glib::Module::build_path | ( | const std::string& | directory,
|  | const std::string& | module_name
| ) | `[static]`

std::string Glib::Module::get_last_error | ( |  | ) | `[static]`

std::string Glib::Module::get_name | ( |  | ) |

bool Glib::Module::get_supported | ( |  | ) | `[static]`

bool Glib::Module::get_symbol | ( | const std::string& | symbol_name,
|  | void *& | symbol
| ) | const

const GModule* Glib::Module::gobj | ( |  | ) | const`[inline]`

GModule* Glib::Module::gobj | ( |  | ) | `[inline]`

void Glib::Module::make_resident | ( |  | ) |

## Member Data Documentation

GModule* Glib::Module::gobject_`[protected]`

The documentation for this class was generated from the following file:

- module.h